/*
    Scan Tailor - Interactive post-processing tool for scanned pages.
    Copyright (C) 2007-2008  Joseph Artsimovich <joseph_a@mail.ru>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "Constants.h"

namespace imageproc
{

namespace constants
{

double const SQRT_2 = 1.4142135623730950488016887242097;

double const PI = 3.141592653589793;

double const DEG2RAD = PI / 180.0;

double const RAD2DEG = 180.0 / PI;

double const INCH2MM = 25.4;

double const MM2INCH = 1.0 / INCH2MM;

double const DPM2DPI = 0.0254;

double const DPI2DPM = 1.0 / DPM2DPI;

} // namespace constants

} // namespace imageproc
